Переполнение буфера в Altnet Download Manager ActiveX комопненте

Дата публикации:
03.10.2007
Дата изменения:
27.02.2008
Всего просмотров:
1195
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Altnet Download Manager
Уязвимые версии:
Altnet Download Manager 4.0.0.6, возможно более ранние версии.
Kazaa 3.2.7, возможно более ранние версии.
Grokster 1.3.3, и более ранние версии.
Grokster 2.6

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в методе "Install()" в ADM4 ActiveX компоненте (adm4.dll). Удаленный пользователь может с помощью специально сформированного Web сайта передать слишком длинный аргумент уязвимому методу, вызвать переполнение стека и выполнить произвольный код на целевой системе.

Примечание: приложение входит в состав Kazaa и Grokster.

URL производителя: www.altnet.com/help/downloader.asp

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA